> ## Documentation Index
> Fetch the complete documentation index at: https://api.quizrise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quiz Details API

> Get detailed information about a specific quiz



## OpenAPI

````yaml GET /quiz/{quizId}
openapi: 3.0.1
info:
  license:
    name: MIT
  title: QuizRise API
  version: 1.0.0
  description: API for managing quizzes, questions, and related operations
servers:
  - url: https://app.quizrise.com/api/v1
security:
  - bearerAuth: []
paths:
  /quiz/{quizId}:
    get:
      summary: Get quiz details
      description: Retrieves the details of a specific quiz
      parameters:
        - name: quizId
          description: The ID of the quiz to retrieve
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Quiz details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  quiz:
                    $ref: '#/components/schemas/Quiz'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Quiz not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Quiz:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        description:
          type: string
        slug:
          type: string
        visibility:
          type: string
        creator:
          type: object
          properties:
            name:
              type: string
            avatar:
              type: string
        tags:
          type: array
          items:
            type: string
        questionCount:
          type: integer
        flashcardCount:
          type: integer
        quizAttemptCount:
          type: integer
    Error:
      type: object
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````